Subject: [mpls] Protocol Action: 'RFC8287 Sub-TLV Length Clarification' to Proposed Standard (draft-ietf-mpls-rfc8287-len-clarification-04.txt)

From: The IESG <[email-masked]>
Date: Fri, 30 Aug 2019 11:10:38 -0700

The IESG has approved the following document:
- 'RFC8287 Sub-TLV Length Clarification'
  (draft-ietf-mpls-rfc8287-len-clarification-04.txt) as Proposed Standard

This document is the product of the Multiprotocol Label Switching Working
Group.

The IESG contact persons are Alvaro Retana, Martin Vigoureux and Deborah
Brungard.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-mpls-rfc8287-len-clarification/

Technical Summary

RFC8287 defines the extensions to MPLS LSP Ping and Traceroute for
Segment Routing IGP-Prefix and IGP-Adjacency Segment Identifier
(SIDs) with an MPLS data plane. RFC 8287 proposes 3 Target FEC 
Stack Sub-TLVs. While the standard defines the format and procedure
to handle those Sub-TLVs, it does not sufficiently clarify how
the length of the Segment ID Sub-TLVs should be computed to include
in the Length field of the Sub-TLVs which may result in 
interoperability issues.

Working Group Summary

There were no controversies progressing this document, the support
in the working group is solid.

Document Quality

In this case the question of existing implementations is a bit
tricky, the document is a clarification to RFC 8287, of which there
are implementations. The problem with the Segment ID Sub-TLV was 
discovered when preparing inter-op test of RFC 8287.

Personnel

   Who is the Document Shepherd for this document?  Loa Andersson
   Who is the Responsible Area Director?  Deborah Brungard